Bug 1005556 - disabling Modifiers-only switch to next source lasts only one session
disabling Modifiers-only switch to next source lasts only one session
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-08 07:10 EDT by Daniel
Modified: 2015-02-17 12:07 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:07:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel 2013-09-08 07:10:00 EDT
Description of problem:

In order to use emacs I need M-% for REPLACE STRING wich is occupied by gnome.
When starting /bin/gnome-control-center I can disable the "Modifiers-only switch to next source". But this lasts only one session. After reboot I have to manually disable "Modifiers-only switch to next source" in gnome-control-center again.


Version-Release number of selected component (if applicable):

control-center-3.8.4.1-1.fc19.x86_64


Expected results:

The gnome changes (disabling "Modifiers-only switch to next source" in gnome-control-center) should last.
Comment 1 Rui Matos 2013-09-08 07:17:06 EDT
What's the output of

gsettings get org.gnome.desktop.input-sources xkb-options

and

setxkbmap -query

when you log in and then after you change the option in Settings?
Comment 2 Daniel 2013-09-08 08:26:06 EDT
This are the settings when I log in

$ gsettings get org.gnome.desktop.input-sources xkb-options
['grp:alt_shift_toggle']
$ setxkbmap -query
rules:      evdev
model:      pc104
layout:     us,de
variant:    ,
options:    grp:alt_shift_toggle

and after I change the option in Settings

$ gsettings get org.gnome.desktop.input-sources xkb-options
@as []
$ setxkbmap -query
rules:      evdev
model:      pc104
layout:     us,de
variant:    ,
Comment 3 Daniel 2013-09-08 08:32:07 EDT
$ more /etc/X11/xorg.conf.d/00-keyboard.conf
# Read and parsed by systemd-localed. It's probably wise not to edit this file
# manually too freely.
Section "InputClass"
        Identifier "system-keyboard"
        MatchIsKeyboard "on"
        Option "XkbLayout" "us,de,il,ru"
        Option "XkbVariant" ",nodeadkeys,,"
        Option "XkbOptions" "grp:alt_shift_toggle"
EndSection
Comment 4 Rui Matos 2013-09-08 09:38:55 EDT
(In reply to Daniel from comment #3)
> Section "InputClass"
>         Identifier "system-keyboard"
>         MatchIsKeyboard "on"
>         Option "XkbLayout" "us,de,il,ru"
>         Option "XkbVariant" ",nodeadkeys,,"
>         Option "XkbOptions" "grp:alt_shift_toggle"

This is what gets propagated into your session because we always get the system settings in case the session setting is empty. You can remove it if you don't otherwise need it.

But yeah we should probably handle things a bit better upstream.
Comment 5 Fedora End Of Life 2015-01-09 14:46:24 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 12:07:02 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.